%% Synthesis of the single surface controller KA
d2r = pi/180; r2d = 180/pi;
load('modelData.mat');
[T_EA2LR,actT,actE,actA,actL,actR,act,T_LR2EA] = actdef(2,'LOES'); % actuator models

% Design model
rd_latmod1 = modred(latmod(1:4,:),5,'Truncate'); % remove state 'psi'
rd_latmod2 = connect(rd_latmod1,T_EA2LR,actA,...
    'aileron_cmd',{'beta','p','r','phi'}); % RS + DR + spiral + actA
G_A = rd_latmod2({'phi','p'},'aileron_cmd'); % design model (9 states)

%% Control design and analysis
[K_A,CLW,gam,info,CL,K_A_red] = KAsyn_B3(G_A,SampleTime,'SuppressPlot');
[L_A,mmi_A,mmo_A,mmio_A] = Vireo_robana(G_A,K_A,'Hinf',SampleTime);

% For flight data, see:
% http://hdl.handle.net/11299/163580
